Solved Installed Failed. Plexguide command missing

Status
Not open for further replies.

RelevantWorm

Blitz 3rd Class
Original poster
5
0
Hey there,
I'm working on a fresh virtual install of Ubuntu desktop 18.04.
Following the installation guide, I tried running the curl command to install PlexGuide:
Code:
curl -s https://plexguide.com/installv8.sh | sudo -H sh
Attached is what I got back during the installation. It seems like something is failing when trying to install pip.
Any ideas on what I can try to fix the installation? I was able to get it working previously by installing pip and ansible manually but was running into issues with docker and none of my containers were able to run.

Thanks
 

Attachments

MrDoob

Blitz VP
Staff
Sponsor
Donor
769
168
su -> root pw
apt-get install sudo -y -qq

EDIT

service apache2 stop
apt-get purge apache2* -y -qq

EDIT

sudo apt-get update -y -qq
sudo apt-get upgrade -y -qq
sudo apt-get dist-upgrade -y -qq
sudo apt-get install curl wget -y -qq

wget -qO- https://plexguide.com/installv8.sh | sudo -H sh
 

RelevantWorm

Blitz 3rd Class
Original poster
5
0
Here's what I get back after running this.
My user account is already in the sudo group so I skipped your first two commands.

EDIT
Apache is not installed and no services for apache seem to be running

plex@plex:~$ sudo apt-get update -y -qq
[sudo] password for plex:
plex@plex:~$ sudo apt-get upgrade -y -qq
plex@plex:~$ sudo apt-get dist-upgrade -y -qq
plex@plex:~$ sudo apt-get install curl wget -y -qq
plex@plex:~$ wget -qO- https://plexguide.com/installv8.sh | sudo -H sh
Reading package lists... Done
Building dependency tree
Reading state information... Done
software-properties-common is already the newest version (0.96.24.32.7).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
'main' distribution component is already enabled for all sources.
'universe' distribution component is already enabled for all sources.
'restricted' distribution component is already enabled for all sources.
'multiverse' distribution component is already enabled for all sources.
Hit:1 http://ca.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:3 http://ca.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:4 http://ca.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Fetched 252 kB in 1s (234 kB/s)
Reading package lists... Done

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
? INSTALLING: PlexGuide Notice
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
By Installing PlexGuide, you are agreeing to the terms and conditions
of the GNUv3 Project License! Please Standby...
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

Reading package lists... Done
Building dependency tree
Reading state information... Done
git is already the newest version (1:2.17.1-1ubuntu0.4).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
zip is already the newest version (3.0-11build1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
unzip is already the newest version (6.0-21ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Cloning into '/opt/pgstage'...
remote: Enumerating objects: 51, done.
remote: Counting objects: 100% (51/51), done.
remote: Compressing objects: 100% (51/51), done.
remote: Total 498 (delta 31), reused 0 (delta 0), pack-reused 447
Receiving objects: 100% (498/498), 108.67 KiB | 2.09 MiB/s, done.
Resolving deltas: 100% (294/294), done.
sh: 56: ansible-playbook: not found
cp: cannot stat '/opt/plexguide/menu/alias/templates/plexguide': No such file or directory
Reading package lists... Done
Building dependency tree
Reading state information... Done
dialog is already the newest version (1.3-20171209-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⌛ Verifiying PlexGuide Installed @ /bin/plexguide - Please Standby!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⛔ WARNING! Installed Failed! PlexGuide Command Missing!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Please Reinstall PlexGuide by running the Command Again! We are doing
this to ensure that your installation continues to work!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
 

MrDoob

Blitz VP
Staff
Sponsor
Donor
769
168

RelevantWorm

Blitz 3rd Class
Original poster
5
0
It's still having some trouble when getting to Ansible.

plex@plex:~$ sudo rm -rf /opt/plexguide/ && wget -qO- https://plexguide.com/installv8.sh | sudo -H sh
[sudo] password for plex:
Reading package lists... Done
Building dependency tree
Reading state information... Done
software-properties-common is already the newest version (0.96.24.32.7).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
'main' distribution component is already enabled for all sources.
'universe' distribution component is already enabled for all sources.
'restricted' distribution component is already enabled for all sources.
'multiverse' distribution component is already enabled for all sources.
Hit:1 http://ca.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [204 B]
Get:4 http://ca.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:5 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [20.8 kB]
Get:6 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [12.2 kB]
Get:7 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [45.2 kB]
Get:8 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2,464 B]
Get:9 http://ca.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Get:10 http://ca.archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [278 kB]
Get:11 http://ca.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [66.7 kB]
Get:12 http://ca.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [123 kB]
Get:13 http://ca.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [202 kB]
Get:14 http://ca.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [187 kB]
Get:15 http://ca.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [341 kB]
Get:16 http://ca.archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2,468 B]
Get:17 http://ca.archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [7,352 B]
Fetched 1,540 kB in 4s (349 kB/s)
Reading package lists... Done

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
? INSTALLING: PlexGuide Notice
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
By Installing PlexGuide, you are agreeing to the terms and conditions
of the GNUv3 Project License! Please Standby...
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

Reading package lists... Done
Building dependency tree
Reading state information... Done
git is already the newest version (1:2.17.1-1ubuntu0.4).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
zip is already the newest version (3.0-11build1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
unzip is already the newest version (6.0-21ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Cloning into '/opt/pgstage'...
remote: Enumerating objects: 56, done.
remote: Counting objects: 100% (56/56), done.
remote: Compressing objects: 100% (56/56), done.
remote: Total 503 (delta 33), reused 1 (delta 0), pack-reused 447
Receiving objects: 100% (503/503), 110.53 KiB | 1.12 MiB/s, done.
Resolving deltas: 100% (296/296), done.
sh: 56: ansible-playbook: not found
cp: cannot stat '/opt/plexguide/menu/alias/templates/plexguide': No such file or directory
Reading package lists... Done
Building dependency tree
Reading state information... Done
dialog is already the newest version (1.3-20171209-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⌛ Verifiying PlexGuide Installed @ /bin/plexguide - Please Standby!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⛔ WARNING! Installed Failed! PlexGuide Command Missing!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Please Reinstall PlexGuide by running the Command Again! We are doing
this to ensure that your installation continues to work!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
plex@plex:~$
 

MrDoob

Blitz VP
Staff
Sponsor
Donor
769
168
tree -u -L 2 /opt/plexguide/menu/alias/templates/

---------
or
install ubuntu 18.04 minimal ! ---> no GUI

then first :

su -> root pw
apt-get install sudo -y -qq
sudo apt-get update -y -qq
sudo apt-get upgrade -y -qq
sudo apt-get dist-upgrade -y -qq

sudo adduser <name> --uid 1000

sudo apt-get install curl wget -y -qq

wget -qO- https://plexguide.com/installv8.sh | sudo -H sh
 

RelevantWorm

Blitz 3rd Class
Original poster
5
0
I installed Ubuntu Server 18.04 fresh now with no gui.
SU root doesn't work as root access seems to be disabled, and uid 1000 was used for login creation when doing the server setup.

I tried the rest of your commands but it still isn't working. I'm getting the following during the wget command:

Err:56 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-dev amd64 3.6.7-1~18.04
Connection failed [ XXX.XXX.XXX.XXX : 80 ]
Get:57 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3-dev amd64 3.6.7-1~18.04 [7,328 B]
Get:58 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 libssl-dev amd64 1.1.0g-2ubuntu4.3 [1,374 kB]
Get:59 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 libssl-doc all 1.1.0g-2ubuntu4.3 [1,255 kB]
Get:60 http://archive.ubuntu.com/ubuntu bionic/main amd64 manpages-dev all 4.15-1 [2,217 kB]
Get:61 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-all amd64 2.7.15~rc1-1 [1,076 B]
Get:62 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 python2.7-dev amd64 2.7.15~rc1-1ubuntu0.1 [286 kB]
Get:63 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-dev amd64 2.7.15~rc1-1 [1,256 B]
Get:64 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-all-dev amd64 2.7.15~rc1-1 [1,100 B]
Get:65 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-asn1crypto all 0.24.0-1 [72.7 kB]
Get:66 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-cffi-backend amd64 1.11.5-1 [63.4 kB]
Get:67 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-crypto amd64 2.6.1-8ubuntu2 [244 kB]
Get:68 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-enum34 all 1.1.6-2 [34.8 kB]
Get:69 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-idna all 2.6-1 [32.4 kB]
Get:70 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-ipaddress all 1.0.17-1 [18.2 kB]
Get:71 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-six all 1.11.0-2 [11.3 kB]
Get:72 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 python-cryptography amd64 2.1.4-1ubuntu1.2 [221 kB]
Get:73 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-dbus amd64 1.2.6-1 [90.2 kB]
Get:74 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-gi amd64 3.26.1-2 [197 kB]
Get:75 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-secretstorage all 2.3.1-2 [11.8 kB]
Get:76 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-keyring all 10.6.0-1 [30.6 kB]
Get:77 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-keyrings.alt all 3.0-1 [16.7 kB]
Get:78 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python-pip-whl all 9.0.1-2.3~ubuntu1 [1,652 kB]
Get:79 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python-pip all 9.0.1-2.3~ubuntu1 [151 kB]
Get:80 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-pkg-resources all 39.0.1-2 [128 kB]
Get:81 http://archive.ubuntu.com/ubuntu bionic/main amd64 python-setuptools all 39.0.1-2 [329 kB]
Get:82 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python-wheel all 0.30.0-0.2 [36.4 kB]
Get:83 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python-xdg all 0.25-4ubuntu1 [31.3 kB]
Get:84 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-crypto amd64 2.6.1-8ubuntu2 [244 kB]
Get:85 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6-dev amd64 3.6.7-1~18.04 [508 kB]
Get:86 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-dev amd64 3.6.7-1~18.04 [1,288 B]
Get:87 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-secretstorage all 2.3.1-2 [12.1 kB]
Get:88 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-keyring all 10.6.0-1 [26.7 kB]
Get:89 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-keyrings.alt all 3.0-1 [16.6 kB]
Get:90 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python3-pip all 9.0.1-2.3~ubuntu1 [114 kB]
Get:91 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-setuptools all 39.0.1-2 [248 kB]
Get:92 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python3-wheel all 0.30.0-0.2 [36.5 kB]
Get:93 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-xdg all 0.25-4ubuntu1 [31.4 kB]
Get:94 http://archive.ubuntu.com/ubuntu bionic/main amd64 libffi-dev amd64 3.2.1-8 [156 kB]
Err:53 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 libpython2.7-dev amd64 2.7.15~rc1-1ubuntu0.1
Connection failed [IP: XXX.XXX.XXX.XXX : 80 ]
Fetched 50.5 MB in 4min 46s (177 kB/s)
E: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-dev_2.7.15~rc1-1ubuntu0.1_amd64.deb Connection failed [IP: 91.189.88.162 80]
E: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/p/python3.6/libpython3.6-dev_3.6.7-1~18.04_amd64.deb Connection failed [IP: XXX.XXX.XXX.XXX : 80 ]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
/usr/bin/python3: No module named pip
/usr/bin/python3: No module named pip
/usr/bin/python3: No module named pip
/opt/pgstage/pyansible.sh: line 17: python: command not found
/opt/pgstage/pyansible.sh: line 18: python: command not found
/opt/pgstage/pyansible.sh: line 19: python: command not found
cp: cannot stat '/usr/local/bin/pip': No such file or directory
cp: cannot stat '/usr/local/bin/pip3': No such file or directory
sh: 56: ansible-playbook: not found
cp: cannot stat '/opt/plexguide/menu/alias/templates/plexguide': No such file or directory
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
dialog
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 217 kB of archives.
After this operation, 1,149 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic/universe amd64 dialog amd64 1.3-20171209-1 [217 kB]
Fetched 217 kB in 1s (257 kB/s)
Selecting previously unselected package dialog.
(Reading database ... 102345 files and directories currently installed.)
Preparing to unpack .../dialog_1.3-20171209-1_amd64.deb ...
Unpacking dialog (1.3-20171209-1) ...
Setting up dialog (1.3-20171209-1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⌛ Verifiying PlexGuide Installed @ /bin/plexguide - Please Standby!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
⛔ WARNING! Installed Failed! PlexGuide Command Missing!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Please Reinstall PlexGuide by running the Command Again! We are doing
this to ensure that your installation continues to work!
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
 
Last edited by a moderator:

MrDoob

Blitz VP
Staff
Sponsor
Donor
769
168
dont install ---- UBUNTU 18.04 SERVER

whe supoort only ubuntu 18.04 LTS / 16.04 ( out of date ) and debian 9.6/7
 

MrDoob

Blitz VP
Staff
Sponsor
Donor
769
168
Screenshot_41.jpg
 

RelevantWorm

Blitz 3rd Class
Original poster
5
0
This seems to have resolved it. I was able to get Plexguide installed with no errors.

I reinstalled Ubuntu Desktop 18.04 minimal, but I couldn't find a way to remove the gui.
Your last instructions don't make much sense to me for the way Ubuntu installs by default.

install ubuntu 18.04 minimal ! ---> no GUI

then first :

su -> root pw
apt-get install sudo -y -qq
sudo apt-get update -y -qq
sudo apt-get upgrade -y -qq
sudo apt-get dist-upgrade -y -qq

sudo adduser <name> --uid 1000

sudo apt-get install curl wget -y -qq

wget -qO- https://plexguide.com/installv8.sh | sudo -H sh
During installation of Ubuntu Desktop, I create my user which already has sudo access.
Once Ubuntu is installed, root access is disabled from terminal and ssh so I can't su to root.

Running the final wget command for whatever reason worked properly this time.
Thanks for your help today.
 
Reactions: MrDoob
Status
Not open for further replies.

Similar threads


Blitz Developer Donations

 

Trending